<!DOCTYPE html>
<html lang="nl" id="root">
<head>
    <meta charset="utf-8" />
    <link href="static/style.css" rel="stylesheet">
    <link href="videojs/video-js.min.css" rel="stylesheet">
    <script src="videojs/video.min.js"></script>
    <script src="videojs/videojs-http-streaming.min.js"></script>
    <script src="videojs/videojs-hlsjs-plugin.js"></script>
    <script src="videojs/hls.js@latest"></script>

    <title>Project MARCH Kantoorcam</title>

    <meta name="description" content="Een stream van de camera in het kantoor van Project MARCH">
    <meta property="og:title" content="Project MARCH Kantoorcam">
    <meta property="og:description" content="Een stream van de camera in het kantoor van Project MARCH">
    <meta property="og:image" content="https://kantoorcam.projectmarch.nl/static/kantoorcam.png">
    <meta property="og:locale" content="nl_NL">
    <meta property="og:type" content="video.other">
    <meta property="og:video" content="https://kantoorcam.projectmarch.nl/kantoorcam/stream.m3u8" />
    <meta property="og:video:secure_url" content="https://kantoorcam.projectmarch.nl/kantoorcam/stream.m3u8" />
    <meta property="og:video:type" content="application/x-mpegURL" />
    <meta property="og:video:width" content="864" />
    <meta property="og:video:height" content="480" />
    <meta property="og:url" content="https://kantoorcam.projectmarch.nl">
    <link rel="canonical" href="https://kantoorcam.projectmarch.nl">

    <link rel="icon" href="/static/favicon.png">
    <meta name="theme-color" content="#106084">
    <meta name="robots" content="noindex nofollow">
</head>

<body id="body">
    <p class="vjs-no-js" id="vjs-no-js">
        Helaas werkt de Project MARCH kantoorcam alleen met JavaScript.
        Als je de stream wil bekijken, moet je dat aanzetten of een
        <a href="https://www.mozilla.org/en-US/firefox/download/thanks/">
            nieuwere browserversie installeren.
        </a>
    </p>
    <video id="video" controls autoplay></video>
    <script>
      var video = document.getElementById('video');
      var videoSrc = '/kantoorcam/stream.m3u8';
      if (Hls.isSupported()) {
        var hls = new Hls();
        hls.loadSource(videoSrc);
        hls.attachMedia(video);
      }
      // HLS.js is not supported on platforms that do not have Media Source
      // Extensions (MSE) enabled.
      //
      // When the browser has built-in HLS support (check using `canPlayType`),
      // we can provide an HLS manifest (i.e. .m3u8 URL) directly to the video
      // element through the `src` property. This is using the built-in support
      // of the plain video element, without using HLS.js.
      //
      // Note: it would be more normal to wait on the 'canplay' event below however
      // on Safari (where you are most likely to find built-in HLS support) the
      // video.src URL must be on the user-driven white-list before a 'canplay'
      // event will be emitted; the last video event that can be reliably
      // listened-for when the URL is not on the white-list is 'loadedmetadata'.
      else if (video.canPlayType('application/vnd.apple.mpegurl')) {
        video.src = videoSrc;
      }
    </script>
<script>
    // Remove the no-js banner
    document.getElementById("vjs-no-js").remove();
    /*var player;

    function checkIfStreamExists() {
        // Check if stream exists
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (this.readyState === this.DONE) {
                if (xhr.status == 200) {
                    createPlayer();
                } else {
                    createOffline();
                }
            }
        }
        xhr.open('HEAD', "/kantoorcam/stream.m3u8");
        xhr.setRequestHeader("Cache-Control", "no-cache, no-store, max-age=0");
        xhr.send();
    }
    checkIfStreamExists();

    // Keep checking if the stream exists or if it has been removed
    setInterval(checkIfStreamExists, 5000);

    function createOffline() {
        // Check if the player exists by checking if the dispose function
        // exists
        if (typeof player !== "undefined" && typeof player.dispose === "function" && !player.isDisposed()) {
            player.dispose();
        }

        document.getElementById("no-stream").innerHTML = "Er is momenteel geen stream van de kantoorcam bezig";
        document.getElementById("no-stream").style.display = "block";
    }

    function createPlayer() {
        document.getElementById("no-stream").innerHTML = "";
        document.getElementById("no-stream").style.display = "none";

        if (typeof player === "undefined" || player.isDisposed()) {
            var vjs = document.createElement("video-js");
            vjs.setAttribute("id", "stream");
            document.getElementById("body").appendChild(vjs);

            videojs.Html5Hlsjs.addHook('beforeinitialize', (videojsPlayer, hlsjsInstance) => {
            });

            player = videojs('stream', {
                controls: true,
                autoplay: true,
                preload: "auto",
                responsive: true,
                language: "nl",
                liveui: true,
                width: document.getElementById("root").clientWidth,
                height: document.getElementById("root").clientHeight,
                sources: [{
                    src: "kantoorcam/stream.m3u8",
                    type: "application/x-mpegURL"
                }],
                html5: {
                    hlsjsConfig: {}
                }
            });

            window.onresize = function() {
                if (typeof player !== "undefined" && !player.isDisposed()) {
                    player.width(document.getElementById("root").clientWidth);
                    player.height(document.getElementById("root").clientHeight);
                }
            };

            player.play();
        }
    }*/
</script>
</body>
</html>
